<?php
session_start();
require_once('conexion.php');
require_once('include/sesiones.php');
if (isset($_SESSION['usu_nombre']))
{
    $regis=mysqli_query($con,"SELECT * from permiso where modulo_mod_id='19' and usuario_usu_id='$usu_id'") or die(mysqli_error($con));
    $reg=mysqli_fetch_array($regis);
        if($reg['per_visualizar']=="Activo")
        {
?>
<!DOCTYPE html>
<html lang="en">
<head>
  <?php include ('head.php');?>
</head>
<body>
<?php
$inicio="";
$M_inventario="";
$M_contactos="";
$M_compras="";
$M_ventas="active";
$M_pedidos="";
$M_pos="";
$R_reportes="";

$cotizacion="";
$ventas="";
$periodica="";
$clientes="";
$cartera="";
$garantias="";
$abonos="";
$cotizacion_online="";
$reservas="active";

include ('menu.php');
?> 
<div class="main">
    <div class="col-md-2"> 
        <?php include ('include/menu_ventas.php');?>
    </div> <!-- /span6 -->
    <div class="col-md-10"> 
        <div class="widget stacked">
            <div class="widget-content">
                <div class="widget stacked">
                    <div class="widget-content">
                        <section id="buttons">
                            <div class="col-md-3" >
                                <a class="btn btn-info" href="V_reserva_registrar.php"><i class="icon-plus"></i> Nuevo</a>
                            </div>
                            <div class="col-md-2" style="padding-right: 15px;">
                                <input type="date" name="fecha_res" id="fecha_res" value="" class="form-control input-sm" onchange='load(1);'>
                            </div>
                            <div class="col-md-2" style="padding-right: 15px;">
                                <select id="vendedor" name="vendedor" class="form-control input-sm" onchange='load(1);'>
                                    <option value="">Usuarios Todos</option>
                                    <?php
                                            $datosusu = mysqli_query($con,"SELECT * FROM zhop_reserva_usuario WHERE res_usu_estado='activo' and empresa='$empresa' group by usuario_usu_id") ;
                                            $cont = mysqli_num_rows( $datosusu );
                                            if ($cont>0) {
                                            
                                            while( $filas = mysqli_fetch_array( $datosusu ) )
                                            {
                                                $usuario_usu_id=$filas['usuario_usu_id'];

                                                $usua = mysqli_query($con,"SELECT * FROM usuario WHERE usu_id='$usuario_usu_id' and  empresa_emp_id='$empresa'") ;
                                                $res = mysqli_fetch_array( $usua );

                                                $usu_nombre=$res['usu_nombre'];


                                                echo' <option value="'.$usuario_usu_id.'">'.$usu_nombre.'</option>';
                                            } } else {
                                                 echo' <option>No hay registros</option>';

                                            }
                                        ?>
                                </select>
                            </div>
                            <div class="col-md-2" style="padding-right: 15px;">
                                <select id="estado" name="estado" class="form-control input-sm" onchange='load(1);'>
                                    <option value="Pendiente">Pendientes</option>
                                    <option value="Confirmado">Confirmados</option>
                                    <option value="Facturado">Facturados</option>
                                    <option value="Cancelado">Cancelados</option>
                                </select>
                            </div>
                            
                            <div class="col-md-3">
                                <input id="q" type="text" class="form-control input-sm" placeholder="Buscador" onkeyup='load(1);' autofocus>
                            </div>
                        </section>
                    </div> <!-- /widget-content -->
                </div> <!-- /widget --> 
                <div class="table-responsive">
                    <center> <span id="loader"></span></center>
                    <div id="resultados"></div><!-- Carga los datos ajax -->
                    <div class='outer_div'></div><!-- Carga los datos ajax -->
                     <?php include ('include/pie_de_pagina.php'); ?>
                </div>
            </div> <!-- /widget-content -->
        </div> <!-- /span6 -->
    </div> <!-- /container -->
</div> <!-- /main -->




<script type="text/javascript" src="js/VentanaCentrada.js"></script>
<script>
$(document).ready(function(){
   load(1);
});

function load(page){
var q= $("#q").val();
var estado= $("#estado").val();
var fecha_res= $("#fecha_res").val();
var vendedor= $("#vendedor").val();
$("#loader").fadeIn('slow');
$.ajax({
    url:'php_reservas/tabla_cotizaciones.php?action=ajax&page='+page+'&q='+q+'&estado='+estado+'&fecha_res='+fecha_res+'&vendedor='+vendedor,
        beforeSend: function(objeto){
        $('#loader').html('<img src="./img/ajax-loader.gif"> Cargando...');
    },
    success:function(data){
        $(".outer_div").html(data).fadeIn('slow');
        $('#loader').html('');
    }
    })
}

</script>


<?php
    include ('php_caja/caja_abrir.php');
    include ('script.php');
?>
</body>
</html>
<?php
}
else
{
   echo '<script>alert("No tienes permiso para ver esta pagina")</script>';
   echo '<script> setTimeout("history.back(1)", 0); </script>';
}
}
else
{
    echo '<script>location.href = "index.php";</script>';
}
?>